The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of ImageMagick: seven vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of ImageMagick.
Vulnerable systems: Debian, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this threat: 2/4.
Number of vulnerabilities in this bulletin: 7.
Creation date: 31/08/2017.
Références of this weakness: CVE-2017-13133, CVE-2017-13134, CVE-2017-13139, CVE-2017-13142, CVE-2017-13143, CVE-2017-13144, CVE-2017-13146, DLA-1081-1, DLA-1170-1, DLA-1401-1, DLA-1785-1, DLA-2366-1, DSA-4019-1, DSA-4032-1, DSA-4040-1, DSA-4204-1, DSA-4321-1, DSA-4321-2, openSUSE-SU-2017:2894-1, openSUSE-SU-2017:2999-1, openSUSE-SU-2017:3020-1, openSUSE-SU-2017:3420-1, openSUSE-SU-2018:0155-1, openSUSE-SU-2018:0218-1, openSUSE-SU-2018:0396-1, SUSE-SU-2017:3378-1, SUSE-SU-2017:3388-1, SUSE-SU-2017:3435-1, USN-3681-1, USN-4222-1, VIGILANCE-VUL-23678.

Description of the vulnerability 

An attacker can use several vulnerabilities of ImageMagick.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This weakness note impacts software or systems such as Debian, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this threat note is medium.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 7 vulnerabilities.

An attacker with a expert ability can exploit this computer weakness.

Solutions for this threat 

Debian 7: new graphicsmagick packages.
New packages are available:
  Debian 7: graphicsmagick 1.3.16-1.1+deb7u15

Debian 7: new imagemagick packages (31/08/2017).
New packages are available:
  Debian 7: imagemagick 6.7.7.10-5+deb7u16

Debian 8: new graphicsmagick packages (28/06/2018).
New packages are available:
  Debian 8: graphicsmagick 1.3.20-3+deb8u3

Debian 8: new imagemagick packages (14/05/2019).
New packages are available:
  Debian 8: imagemagick 8:6.8.9.9-5+deb8u16

Debian 8: new imagemagick packages (20/11/2017).
New packages are available:
  Debian 8: imagemagick 8:6.8.9.9-5+deb8u11

Debian 8: new imagemagick packages (22/05/2018).
New packages are available:
  Debian 8: imagemagick 8:6.8.9.9-5+deb8u12

Debian 9: new graphicsmagick packages.
New packages are available:
  Debian 9: graphicsmagick 1.3.30+hg15796-1~deb9u2

Debian 9: new imagemagick packages (06/11/2017).
New packages are available:
  Debian 9: imagemagick 8:6.9.7.4+dfsg-11+deb9u2

Debian 9: new imagemagick packages (08/09/2020).
New packages are available:
  Debian 9: imagemagick 8:6.9.7.4+dfsg-11+deb9u10

Debian 9: new imagemagick packages (13/11/2017).
New packages are available:
  Debian 9: imagemagick 8:6.9.7.4+dfsg-11+deb9u3

openSUSE Leap: new GraphicsMagick packages (15/11/2017).
New packages are available:
  openSUSE Leap 42.2: GraphicsMagick 1.3.25-11.39.1
  openSUSE Leap 42.3: GraphicsMagick 1.3.25-39.1

openSUSE Leap: new GraphicsMagick packages (26/01/2018).
New packages are available:
  openSUSE Leap 42.3: GraphicsMagick 1.3.25-60.1
  openSUSE Leap 42.2: GraphicsMagick 1.3.25-11.63.1

openSUSE Leap: new GraphicsMagick packages (30/10/2017).
New packages are available:
  openSUSE Leap 42.2: GraphicsMagick 1.3.25-11.34.1
  openSUSE Leap 42.3: GraphicsMagick 1.3.25-34.1

openSUSE Leap: new ImageMagick packages (08/02/2018).
New packages are available:
  openSUSE Leap 42.3: ImageMagick 6.8.8.1-52.1

openSUSE Leap: new ImageMagick packages (13/11/2017).
New packages are available:
  openSUSE Leap 42.2: ImageMagick 6.8.8.1-30.9.1
  openSUSE Leap 42.3: ImageMagick 6.8.8.1-37.1

openSUSE Leap: new ImageMagick packages (22/01/2018).
New packages are available:
  openSUSE Leap 42.3: ImageMagick 6.8.8.1-49.1, libMagick++-6_Q16-3 6.8.8.1-49.1, libMagickCore-6_Q16-1 6.8.8.1-49.1, libMagickWand-6_Q16-1 6.8.8.1-49.1, perl-PerlMagick 6.8.8.1-49.1
  openSUSE Leap 42.2: ImageMagick 6.8.8.1-30.21.1, libMagick++-6_Q16-3 6.8.8.1-30.21.1, libMagickCore-6_Q16-1 6.8.8.1-30.21.1, libMagickWand-6_Q16-1 6.8.8.1-30.21.1, perl-PerlMagick 6.8.8.1-30.21.1

openSUSE Leap: new ImageMagick packages (28/12/2017).
New packages are available:
  openSUSE Leap 42.2: ImageMagick 6.8.8.1-30.12.1
  openSUSE Leap 42.3: ImageMagick 6.8.8.1-40.1

SUSE LE 11 SP4: new GraphicsMagick packages.
New packages are available:
  SUSE LE 11 SP4: GraphicsMagick 1.2.5-4.78.19.1

SUSE LE 11 SP4: new ImageMagick packages (21/12/2017).
New packages are available:
  SUSE LE 11 SP4: ImageMagick 6.4.3.6-7.78.14.1

SUSE LE 12 SP2/3: new ImageMagick packages.
New packages are available:
  SUSE LE 12 SP2: ImageMagick 6.8.8.1-71.17.1
  SUSE LE 12 SP3: ImageMagick 6.8.8.1-71.17.1

Ubuntu 16.04: new graphicsmagick packages (17/12/2019).
New packages are available:
  Ubuntu 16.04 LTS: graphicsmagick 1.3.23-1ubuntu0.3

Ubuntu: new imagemagick packages.
New packages are available:
  Ubuntu 18.04 LTS: imagemagick 8:6.9.7.4+dfsg-16ubuntu6.2
  Ubuntu 17.10: imagemagick 8:6.9.7.4+dfsg-16ubuntu2.2
  Ubuntu 16.04 LTS: imagemagick 8:6.8.9.9-7ubuntu5.11
  Ubuntu 14.04 LTS: imagemagick 8:6.7.7.10-6ubuntu3.11

Wind River Linux: solution of End-October 2017.
The solution is indicated in information sources.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computers vulnerabilities workaround. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.